<?php
class cobActions extends wtActions
{
    public function executeList()
    {
        $this->block      = $this->getRequestParameter( 'block' );
        $this->i_IdCompania = myUser::getUser()->getIdBusiness();
        
        $x = myUser::getUser()->getNameSucursal();
        
        $o_VTA_TipoDocumentoFN = new VTA_TipoDocumentoFN();
        $o_VTA_TipoDocumentoFN->setEstado( "A" );
        $o_VTA_TipoDocumentoFN->addCondition( VTA_TipoDocumentoFN::CodigoFiscal, "<>", "" );
        //$o_VTA_TipoDocumentoFN->setIdTipoDocumento( "NC" );
        $this->a_VTA_TipoDocumento = $o_VTA_TipoDocumentoFN->select();
        
        //$this->a_Estados = VTA_DocumentoBN::getArrayEstados();
        //$this->a_Estados = array( VTA_DocumentoBN::ESTADO_CERRADO => "CERRADO", VTA_DocumentoBN::ESTADO_ANULADO => "ANULADO" );
        $this->a_Estados = array( VTA_DocumentoBN::ESTADO_CERRADO => VTA_DocumentoBN::getArrayEstados( VTA_DocumentoBN::ESTADO_CERRADO ) );
        
        $this->GlobalAccess = myUser::getUser()->hasGlobalAccess();
        
        $this->a_ALM_AlmacenMast = array();
        if( $this->GlobalAccess )
        {
            $o_ALM_AlmacenMastFN = new ALM_AlmacenMastFN();
            $o_ALM_AlmacenMastFN->setIdCompania( $this->i_IdCompania );
            $o_ALM_AlmacenMastFN->addOrderBy( ALM_AlmacenMastFN::DescripcionLocal );
            $this->a_ALM_AlmacenMast = $o_ALM_AlmacenMastFN->select();
        }
        
        $o_VTA_FormaPagoFN = new VTA_FormaPagoFN();
        $o_VTA_FormaPagoFN->setEstado( "A" );
        $o_VTA_FormaPagoFN->setContadoFlag( "N" );
        $o_VTA_FormaPagoFN->addOrderBy( VTA_FormaPagoFN::DescripcionLocal );
        $this->a_VTA_FormaPago = $o_VTA_FormaPagoFN->select();
        
        $o_VTA_VendedorFN = new VTA_VendedorFN();
        $o_VTA_VendedorFN->addOrderBy( VTA_VendedorFN::FechaCreacion );
        $this->a_VTA_Vendedor = $o_VTA_VendedorFN->select();
    }
}